Bug 819645 - iMON Knob USB IR Receiver: Unable to set protocol to RC-6
iMON Knob USB IR Receiver: Unable to set protocol to RC-6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: v4l-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 16:24 EDT by Mads Villadsen
Modified: 2013-07-31 20:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:31:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2012-05-07 16:24:00 EDT
I have an iMON Knob USB IR Receiver that I would like to get to use the RC-6 protocol.

However when calling:

ir-keytable -p RC-6

I get this error in /var/log/messages:

Looks like you're trying to use an IR protocol this device does not support

Output from lsusb -v

Bus 006 Device 004: ID 15c2:ffdc SoundGraph Inc. iMON PAD Remote Controller
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x15c2 SoundGraph Inc.
  idProduct          0xffdc iMON PAD Remote Controller
  bcdDevice            0.00
  iManufacturer           0 
  iProduct                0 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           41
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         0 (Defined at Interface level)
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  09 21 00 01 00 01 22 25 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
Comment 1 Mads Villadsen 2012-05-07 16:24:26 EDT
Output from ir-keytable

Found /sys/class/rc/rc1/ (/dev/input/event19) with:
	Driver imon, table rc-imon-pad
	Supported protocols: other 
	Enabled protocols: 
	Repeat delay = 500 ms, repeat period = 125 ms
Comment 2 R. G. Newbury 2012-07-09 17:39:19 EDT
F17, Kernel 3.4.4.5.fc17

the /etc/rc.d/init.d/lirc  service file contains the assertion:

'echo none +lirc > /sys/class/rc/rc0/protocols

Before this, a `cat protocols` returned "other"

After this,  a `cat protocols` returned "other". ( Clearly a case of post hoc ergo propter hoc!!)..

There is no error message returned. The 'echo' is /dev/null'd. The effect of the failure is to double all of the keypresses made on the remote as they are handled by both devinput and the keyboard structure (seriatim one supposes).

This did not happen on F16 with 3.3 series kernels so a regression is a good possibility.
Comment 3 Fedora End Of Life 2013-07-03 18:34:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:32:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.